# Uses of Class
java.awt.event.FocusEvent

Packages that use FocusEvent
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of FocusEvent in java.awt

Methods in java.awt with parameters of type FocusEvent
Modifier and Type
Method
Description
`void`
AWTEventMulticaster.`focusGained​(FocusEvent e)`
Handles the focusGained event by invoking the focusGained methods on listener-a and listener-b.
`void`
Component.AccessibleAWTComponent.AccessibleAWTFocusHandler.`focusGained​(FocusEvent event)`
`void`
AWTEventMulticaster.`focusLost​(FocusEvent e)`
Handles the focusLost event by invoking the focusLost methods on listener-a and listener-b.
`void`
Component.AccessibleAWTComponent.AccessibleAWTFocusHandler.`focusLost​(FocusEvent event)`
`protected void`
Component.`processFocusEvent​(FocusEvent e)`
Processes focus events occurring on this component by dispatching them to any registered `FocusListener` objects.

## Uses of FocusEvent in java.awt.event

Methods in java.awt.event with parameters of type FocusEvent
Modifier and Type
Method
Description
`void`
FocusAdapter.`focusGained​(FocusEvent e)`
Invoked when a component gains the keyboard focus.
`void`
FocusListener.`focusGained​(FocusEvent e)`
Invoked when a component gains the keyboard focus.
`void`
FocusAdapter.`focusLost​(FocusEvent e)`
Invoked when a component loses the keyboard focus.
`void`
FocusListener.`focusLost​(FocusEvent e)`
Invoked when a component loses the keyboard focus.

## Uses of FocusEvent in javax.swing

Methods in javax.swing with parameters of type FocusEvent
Modifier and Type
Method
Description
`void`
JComponent.AccessibleJComponent.AccessibleFocusHandler.`focusGained​(FocusEvent event)`
Deprecated.
`void`
JComponent.AccessibleJComponent.AccessibleFocusHandler.`focusLost​(FocusEvent event)`
Deprecated.
`protected void`
JFormattedTextField.`processFocusEvent​(FocusEvent e)`
Processes any focus events, such as `FocusEvent.FOCUS_GAINED` or `FocusEvent.FOCUS_LOST`.

## Uses of FocusEvent in javax.swing.plaf

Methods in javax.swing.plaf with parameters of type FocusEvent
Modifier and Type
Method
Description
`protected void`
LayerUI.`processFocusEvent​(FocusEvent e, JLayer<? extends V> l)`
Processes focus events occurring on the `JLayer` or any of its subcomponents.

## Uses of FocusEvent in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type FocusEvent
Modifier and Type
Method
Description
`void`
BasicButtonListener.`focusGained​(FocusEvent e)`
`void`
BasicComboBoxEditor.`focusGained​(FocusEvent e)`
`void`
BasicComboBoxUI.FocusHandler.`focusGained​(FocusEvent e)`
`void`
BasicListUI.FocusHandler.`focusGained​(FocusEvent e)`
`void`
BasicSliderUI.FocusHandler.`focusGained​(FocusEvent e)`
`void`
BasicTableUI.FocusHandler.`focusGained​(FocusEvent e)`
`void`
BasicToolBarUI.ToolBarFocusListener.`focusGained​(FocusEvent e)`
`void`
BasicTreeUI.FocusHandler.`focusGained​(FocusEvent e)`
Invoked when focus is activated on the tree we're in, redraws the lead row.
`void`
BasicButtonListener.`focusLost​(FocusEvent e)`
`void`
BasicComboBoxEditor.`focusLost​(FocusEvent e)`
`void`
BasicComboBoxUI.FocusHandler.`focusLost​(FocusEvent e)`
`void`
BasicListUI.FocusHandler.`focusLost​(FocusEvent e)`
`void`
BasicSliderUI.FocusHandler.`focusLost​(FocusEvent e)`
`void`
BasicTableUI.FocusHandler.`focusLost​(FocusEvent e)`
`void`
BasicToolBarUI.ToolBarFocusListener.`focusLost​(FocusEvent e)`
`void`
BasicTreeUI.FocusHandler.`focusLost​(FocusEvent e)`
Invoked when focus is activated on the tree we're in, redraws the lead row.

## Uses of FocusEvent in javax.swing.text

Methods in javax.swing.text with parameters of type FocusEvent
Modifier and Type
Method
Description
`void`
DefaultCaret.`focusGained​(FocusEvent e)`
Called when the component containing the caret gains focus.
`void`
DefaultCaret.`focusLost​(FocusEvent e)`
Called when the component containing the caret loses focus.